Bug 178883 - Update devel/gettext and devel/automake
Update devel/gettext and devel/automake
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: ade
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 23:10 UTC by ade
Modified: 2013-07-16 06:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ade freebsd_committer 2013-05-23 23:10:00 UTC
	Update devel/gettext to 0.18.2.1
	Update devel/automake to 1.13.2

	Doing both at once to reduce exp-runs

Fix: 

http://people.FreeBSD.org/~ade/gettext-automake-20130523.diff
	SHA256=b8df7ac090a04e22e554d7e37c9dc8d5d7203aeb655a3554efdd9e3ffaa430c9

	exp-run(s) required
Comment 1 Edwin Groothuis freebsd_committer 2013-05-23 23:10:07 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-05-23 23:10:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->autotools

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 ade freebsd_committer 2013-05-23 23:53:09 UTC
Responsible Changed
From-To: autotools->portmgr

Over to portmgr@ for exp-run(s) -- based on prior experience, I expect 
this to take a few ...
Comment 4 Martin Wilke freebsd_committer 2013-05-24 04:52:08 UTC
Responsible Changed
From-To: portmgr->miwi

I'll take it.
Comment 5 Martin Wilke freebsd_committer 2013-06-04 11:13:05 UTC
Responsible Changed
From-To: miwi->ade

back to you; please pass to me directly back when u have a new patch.
Comment 6 ade freebsd_committer 2013-06-18 21:00:51 UTC
Responsible Changed
From-To: ade->portmgr

New patch up at: 

http://people.FreeBSD.org/~ade/gettext-automake-20130618.diff 
SHA256= b8e63a1eaf6683689bfc0c48d34d139e519bead491dbbb5b032dbc87fbe81b51 

Please note that the following port failures are not related to this 
update: 
audio/ncmpcpp 
games/xconq 
security/klamav 
www/cherokee 

As per http://lab.lovett.com/tb/index.php?action=bad_buildports where 
build "9-amd64" is running a stock ports tree.
Comment 7 Martin Wilke freebsd_committer 2013-06-19 04:47:33 UTC
Responsible Changed
From-To: portmgr->miwi

I'll take it.
Comment 8 Martin Wilke freebsd_committer 2013-06-27 04:59:36 UTC
Responsible Changed
From-To: miwi->ade

back to u for now.
Comment 9 Tijl Coosemans freebsd_committer 2013-07-07 21:38:49 UTC
I've worked out a patch for gettext that maybe you can include in the
next exp-run for this PR: http://people.freebsd.org/~tijl/gettext.patch

The patch includes all devel/gettext changes from
http://people.freebsd.org/~ade/gettext-automake-20130618.diff
so it can just replace those.

Changelog:

- Add a dependency on textproc/expat2 again. This was removed in r119797
  to use libbsdxml from base instead, but libbsdxml is only supposed to
  be used in base (which is why it isn't called expat).
- Add DOCS option.
- Remove libtool dependency. The bundled libtool works just fine.
- Remove ACLOCAL, AUTOCONF, AUTOMAKE, AUTOHEADER and MAKEINFO from
  CONFIGURE_ENV. They were added without any explanation by this PR:
  http://www.freebsd.org/cgi/query-pr.cgi?pr=40794
  None of these commands are ever run during build/install. Verified by
  checking the build log and also by assigning ${FALSE} to them.
- Replace EMACS=no in CONFIGURE_ENV with --without-emacs in CONFIGURE_ARGS.
- Add --disable-java to CONFIGURE_ARGS. It allows deleting some patches.
- Remove --disable-threads from CONFIGURE_ARGS. It was added in r189468
  (6 years ago) because there were problems in "some edge cases". I think
  it's worth giving it another try now.
  (I left --disable-openmp because Clang does not support it.)
- Add --with-included-libunistring to CONFIGURE_ARGS to prevent picking up
  devel/libunistring.
- Remove pre-extract and post-build targets. The jar command is never
  executed when java is disabled.
- In post-patch target remove patching for gmkdir and gawk. This is handled
  by /usr/ports/Templates/config.site now.
- Add missing svn:eol-style and svn:mime-type properties. One patch also
  had svn:keywords without containing $FreeBSD$. I replaced it with
  fbsd:nokeywords.
- Remove files/patch-ad. It only removed two harmless echos.
- Remove files/patch-ak. In all supported versions of FreeBSD uuencode
  supports the -m flag now.
- Remove files/patch-gettext-runtime_configure. Handled by --disable-java.
- Remove files/patch-gettext-tools_config.h.in. Replaced by expat.
- Remove files/patch-gettext-tools_configure. --disable-java and expat.
- Remove files/patch-gettext-tools_libgettextpo_Makefile.in.
  Linking with -lc is harmless, but libtool also removes it before running
  the linker.
  The install-exec-local target is patched by USES=charsetfix.
- Remove files/patch-gettext-tools_src_Makefile.in. This patch was generated
  incorrectly. It contains a complete Makefile. When I apply the patch to
  an empty file and compare the result with gettext-tools/src/Makefile.in
  it seems the intention was to remove -lc. So I think it's safe to remove
  this patch.
- Remove files/patch-gettext-tools_src_msginit.c. This patch changes
  /usr/local/lib/gettext into /usr/local/lib/gettext-tools, but the actual
  directory is /usr/local/lib/gettext so this seems wrong.
- Remove files/patch-gettext-tools_src_x-glade.c. Replaced by expat.

If there are any questions or problems please let me know.
Comment 10 ade freebsd_committer 2013-07-08 21:32:54 UTC
On 7/7/2013 13:38, Tijl Coosemans wrote:
> I've worked out a patch for gettext that maybe you can include in the
> next exp-run for this PR: http://people.freebsd.org/~tijl/gettext.patch

[snip]

Thanks for this.  Those nice GNU guys and gals decided to release yet 
another new gettext yesterday, so I've taken the opportunity to do some 
spring-cleaning.

The patch can be found at:
     http://people.freebsd.org/~ade/gettext-only-20130708.diff

Things that have NOT been implemented from your patch:

1. dependency on textproc/expat2 -- this is a really bad idea -- we want 
an 'infrastructure' port such as gettext to run-time depend on as few 
things as possible (hence all the --with-included-<foo>)

2. DOCS option -- that's pending, feel free to rework your bits for this 
into the new patch above.

3. --disable-threads remains in place -- whilst it's entirely possibly 
that things will work just fine, switching threading off/on here is 
likely to require significant run-time testing (as opposed to simple 
exp-run builds) and I'm aiming to get this change in before 9.2-RELEASE. 
  I'm not discounting the possibility of doing it in future, but such a 
"dangerous" (in the sense of potential undefined behavior elsewhere) 
change at this stage is a little on the risky side.

4. I'm not touching svn properties, at least as part of this update. 
That's a separate issue that can be handled by a non-intrusive commit later.

With this new version of gettext, I'm now tinderboxing all the known 
failed (and fixed) ports from previous exp-runs -- we may need to do one 
more exp-run as a sanity check, but I'm hopeful to get this in place in 
a couple of weeks now.

-aDe
Comment 11 Tijl Coosemans freebsd_committer 2013-07-08 22:25:43 UTC
On 2013-07-08 22:32, Ade Lovett wrote:
> On 7/7/2013 13:38, Tijl Coosemans wrote:
>> I've worked out a patch for gettext that maybe you can include in the
>> next exp-run for this PR: http://people.freebsd.org/~tijl/gettext.patch
> 
> [snip]
> 
> Thanks for this. Those nice GNU guys and gals decided to release yet
> another new gettext yesterday, so I've taken the opportunity to do
> some spring-cleaning.
> 
> The patch can be found at:
>     http://people.freebsd.org/~ade/gettext-only-20130708.diff

--disable-emacs should be --without-emacs.

> Things that have NOT been implemented from your patch:
> 
> 1. dependency on textproc/expat2 -- this is a really bad idea -- we
> want an 'infrastructure' port such as gettext to run-time depend on
> as few things as possible (hence all the --with-included-<foo>)

Well, there used to be a dependency on libexpat and libbsdxml is not
intended to be used outside base. It's clearly mentioned in the
libbsdxml(3) manpage.

A possible solution would be to split of the gettext-runtime part
(libintl and some small programs) in a separate port and let
devel/gettext depend on that and install the rest of the translation
tools. The file PACKAGING actually recommends doing something like
that. This devel/gettext-runtime port would be very light and I think
most ports requiring gettext really only need this part. Then
devel/gettext wouldn't be an infrastructure port any more and it
shouldn't be a problem for it to depend on expat2 and maybe even some
of the <foo> from --with-included-<foo> too.

I'll see if I can experiment a bit with such a setup, see if it's
feasible and if ports really only need the runtime part.

Would you be ok with something like this?

> 2. DOCS option -- that's pending, feel free to rework your bits for
> this into the new patch above.

It's just adding "OPTIONS_DEFINE= DOCS". The handling is already in place.

> 3. --disable-threads remains in place -- whilst it's entirely
> possibly that things will work just fine, switching threading off/on
> here is likely to require significant run-time testing (as opposed to
> simple exp-run builds) and I'm aiming to get this change in before
> 9.2-RELEASE. I'm not discounting the possibility of doing it in
> future, but such a "dangerous" (in the sense of potential undefined
> behavior elsewhere) change at this stage is a little on the risky
> side.

Ok.

> 4. I'm not touching svn properties, at least as part of this update.
> That's a separate issue that can be handled by a non-intrusive commit
> later.

Ok.
Comment 12 ade freebsd_committer 2013-07-08 23:52:32 UTC
On 7/8/2013 14:25, Tijl Coosemans wrote:
> On 2013-07-08 22:32, Ade Lovett wrote:
>> The patch can be found at:
>>      http://people.freebsd.org/~ade/gettext-only-20130708.diff
>
> --disable-emacs should be --without-emacs.

Yup.  Botched that part, fixed now, and is running fine.

> A possible solution would be to split of the gettext-runtime part
> (libintl and some small programs) in a separate port and let
> devel/gettext depend on that and install the rest of the translation
> tools.

Indeed.  That's something I've considered doing on various occasions, 
I've just never really gotten around to finding the potentially large 
amounts of time to do it.

With a gettext/gettext-runtime split, things do become significantly 
easier after the hacking, at which point switching to textproc/expat2 as 
a dependency would make more sense, but with the port in its current 
state and 9.2-REL looming on the horizon, it's not really something I 
want to focus on right now.

Don't let my lack of time stop you from looking at this, and if you 
start making real progress, please do file a PR and get it assigned to 
autotools@ so we can keep track of things.

New patch is at:
   http://people.freebsd.org/~ade/gettext-only-20130708-2.diff

-aDe
Comment 13 ade freebsd_committer 2013-07-09 18:41:55 UTC
Responsible Changed
From-To: ade->portmgr

Final (I hope) patch: 
http://people.freebsd.org/~ade/gettext-automake-20130708.diff 

SHA256= 924758a6b24b788518bdbf44f2374fc345e9ea0649ac6bff05d3b755ed1065de 

No regressions from previous runs.  Let me know if ya'll plan on 
doing another exp-run with this or just punt it back to me for committing.
Comment 14 Bryan Drewery freebsd_committer 2013-07-09 18:46:53 UTC
Responsible Changed
From-To: portmgr->bdrewery

Take for exp-run
Comment 15 Bryan Drewery freebsd_committer 2013-07-09 21:16:15 UTC
Responsible Changed
From-To: bdrewery->miwi

To miwi to followup from last exp-run
Comment 16 Martin Wilke freebsd_committer 2013-07-16 04:55:57 UTC
Responsible Changed
From-To: miwi->ade

looks good.
Comment 17 dfilter freebsd_committer 2013-07-16 06:42:56 UTC
Author: ade
Date: Tue Jul 16 05:42:36 2013
New Revision: 323088
URL: http://svnweb.freebsd.org/changeset/ports/323088

Log:
  - Update devel/automake to 1.14
  - Update devel/gettext to 0.18.3
  - Fix known-broken (from exp-runs) ports
  - Clean up a lot of cruft in the devel/gettext port itself,
    based on work from tijl@
  
  PR:		178883
  Submitted by:	ade
  Sponsored by:	Wadsworth 6X

Deleted:
  head/databases/gtksql/files/patch-Makefile.am
  head/databases/gtksql/files/patch-src__Makefile.am
  head/devel/gettext/files/patch-ad
  head/devel/gettext/files/patch-ak
  head/devel/gettext/files/patch-gettext-runtime_configure
  head/devel/gettext/files/patch-gettext-tools_libgettextpo_Makefile.in
  head/devel/gettext/files/patch-gettext-tools_src_Makefile.in
  head/devel/gettext/files/patch-gettext-tools_src_msginit.c
Modified:
  head/Mk/bsd.autotools.mk
  head/archivers/par2cmdline-tbb/Makefile
  head/archivers/unadf/Makefile   (contents, props changed)
  head/audio/libaacplus/Makefile
  head/audio/ncmpcpp/Makefile
  head/comms/lirc/Makefile
  head/comms/tlf/Makefile   (contents, props changed)
  head/databases/firebird20-server/Makefile   (contents, props changed)
  head/databases/firebird20-server/files/patch-configure.in   (contents, props changed)
  head/databases/firebird21-server/Makefile   (contents, props changed)
  head/databases/gqlplus/Makefile   (contents, props changed)
  head/databases/gtksql/Makefile
  head/devel/argp-standalone/Makefile   (contents, props changed)
  head/devel/autoconf-wrapper/Makefile   (contents, props changed)
  head/devel/automake/Makefile
  head/devel/automake/distinfo
  head/devel/automake/files/patch-Makefile.in   (contents, props changed)
  head/devel/automake/pkg-plist   (contents, props changed)
  head/devel/autotools/Makefile   (contents, props changed)
  head/devel/elfio/Makefile   (contents, props changed)
  head/devel/fnccheck/Makefile
  head/devel/gettext/Makefile
  head/devel/gettext/distinfo   (contents, props changed)
  head/devel/gettext/files/patch-gettext-tools_config.h.in   (contents, props changed)
  head/devel/gettext/files/patch-gettext-tools_configure   (contents, props changed)
  head/devel/gettext/pkg-plist   (contents, props changed)
  head/devel/libcfu/Makefile
  head/finance/libofx/Makefile
  head/games/py-poker-eval/Makefile   (contents, props changed)
  head/games/tecnoballz/Makefile
  head/graphics/cal3d/Makefile   (contents, props changed)
  head/graphics/gsnapshot/Makefile
  head/graphics/iulib/Makefile   (contents, props changed)
  head/lang/maude/Makefile   (contents, props changed)
  head/mail/bogofilter/Makefile
  head/multimedia/libva/Makefile
  head/net-mgmt/nagios-plugins/Makefile   (contents, props changed)
  head/net/nss_ldap/Makefile
  head/net/ntp-devel/Makefile   (contents, props changed)
  head/security/gtkpasman/Makefile
  head/sysutils/ftwin/Makefile   (contents, props changed)
  head/textproc/liblrdf/Makefile
  head/x11/stjerm/Makefile   (contents, props changed)

Modified: head/Mk/bsd.autotools.mk
==============================================================================
--- head/Mk/bsd.autotools.mk	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/Mk/bsd.autotools.mk	Tue Jul 16 05:42:36 2013	(r323088)
@@ -142,8 +142,8 @@ GNU_CONFIGURE=				yes
 .endif
 
 .if defined(_AUTOTOOL_automake)
-AUTOMAKE_VERSION=	1.12
-AUTOMAKE_APIVER=	1.12.6
+AUTOMAKE_VERSION=	1.14
+AUTOMAKE_APIVER=	1.14
 AUTOMAKE_PORT=		devel/automake
 
 . if ${_AUTOTOOL_automake} == "yes"
@@ -176,7 +176,10 @@ AUTOMAKE_DIR=		${LOCALBASE}/share/automa
 ACLOCAL=			${LOCALBASE}/bin/aclocal-${AUTOMAKE_VERSION}
 ACLOCAL_DIR=		${LOCALBASE}/share/aclocal-${AUTOMAKE_VERSION}
 
-. if defined(_AUTOTOOL_aclocal) || defined(_AUTOTOOL_aclocal14)
+. if defined(_AUTOTOOL_aclocal)
+ACLOCAL_ARGS?=		--automake-acdir=${ACLOCAL_DIR}
+. endif
+. if defined(_AUTOTOOL_aclocal14)
 ACLOCAL_ARGS?=		--acdir=${ACLOCAL_DIR}
 . endif
 

Modified: head/archivers/par2cmdline-tbb/Makefile
==============================================================================
--- head/archivers/par2cmdline-tbb/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/archivers/par2cmdline-tbb/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -20,6 +20,7 @@ GNU_CONFIGURE=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib -pthread
 USE_AUTOTOOLS=	aclocal automake autoconf
+AUTOMAKE_ARGS=	--add-missing
 USE_GCC=	4.2+
 
 PORTDOCS=	README

Modified: head/archivers/unadf/Makefile
==============================================================================
--- head/archivers/unadf/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/archivers/unadf/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -48,6 +48,11 @@ FAQSIMGS=	FAQ/image/adf_dir.gif FAQ/imag
 
 PORTDOCS=	*
 
+# XXX: work around an issue with automake-1.13 erroring out on a
+#      non-existent m4 directory before libtoolize creates it
+pre-configure::
+	@${MKDIR} ${WRKSRC}/m4
+
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/examples/unadf ${PREFIX}/bin
 .if !defined(NOPORTDOCS)

Modified: head/audio/libaacplus/Makefile
==============================================================================
--- head/audio/libaacplus/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/audio/libaacplus/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -27,7 +27,7 @@ GNU_CONFIGURE=	yes
 MAKE_JOBS_UNSAFE=	yes
 
 AUTOMAKE_ARGS=	--add-missing
-ACLOCAL_ARGS=	--acdir=${ACLOCAL_DIR} \
+ACLOCAL_ARGS=	--automake-acdir=${ACLOCAL_DIR} \
 		-I ${LOCALBASE}/share/aclocal -I ${WRKSRC}/m4
 LIBTOOLIZE_ARGS=--automake
 

Modified: head/audio/ncmpcpp/Makefile
==============================================================================
--- head/audio/ncmpcpp/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/audio/ncmpcpp/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -19,7 +19,8 @@ USE_BZIP2=	yes
 GNU_CONFIGURE=	yes
 USE_GNOME=	glib20
 USE_AUTOTOOLS=	automake aclocal libtool
-ACLOCAL_ARGS=	--acdir=${ACLOCAL_DIR} -I ${LOCALBASE}/share/aclocal
+AUTOMAKE_ARGS=	--add-missing
+ACLOCAL_ARGS=	--automake-acdir=${ACLOCAL_DIR} -I ${LOCALBASE}/share/aclocal
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
 

Modified: head/comms/lirc/Makefile
==============================================================================
--- head/comms/lirc/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/comms/lirc/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -69,6 +69,11 @@ MAN1=		ircat.1 irexec.1 irpty.1 irrecord
 		irxevent.1 lircrcd.1 mode2.1 smode2.1 xmode2.1
 MAN8=		lircd.8 lircmd.8
 
+# XXX: work around an issue with automake-1.13 erroring out on a
+#      non-existent m4 directory before libtoolize creates it
+pre-configure::
+	@${MKDIR} ${WRKSRC}/m4
+
 post-install:
 .if ${PORT_OPTIONS:MDOCS}
 	@(cd ${WRKSRC}/doc && ${COPYTREE_SHARE} html ${DOCSDIR}/)

Modified: head/comms/tlf/Makefile
==============================================================================
--- head/comms/tlf/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/comms/tlf/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -19,6 +19,7 @@ COMMENT=	Amateur Radio curses based logg
 
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 USE_AUTOTOOLS=	autoconf libtool aclocal automake
+AUTOMAKE_ARGS=	--add-missing
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--includedir="${LOCALBASE}/include" \
 		--libdir="${LOCALBASE}/lib"

Modified: head/databases/firebird20-server/Makefile
==============================================================================
--- head/databases/firebird20-server/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/databases/firebird20-server/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -23,7 +23,7 @@ USE_GCC=	any
 USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
 USE_AUTOTOOLS=	autoconf aclocal libtool
-ACLOCAL_ARGS=	--acdir=${ACLOCAL_DIR} -I ${LOCALBASE}/share/aclocal \
+ACLOCAL_ARGS=	--automake-acdir=${ACLOCAL_DIR} -I ${LOCALBASE}/share/aclocal \
 		-I ${WRKSRC}/m4
 MAKE_JOBS_UNSAFE=	yes
 

Modified: head/databases/firebird20-server/files/patch-configure.in
==============================================================================
--- head/databases/firebird20-server/files/patch-configure.in	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/databases/firebird20-server/files/patch-configure.in	Tue Jul 16 05:42:36 2013	(r323088)
@@ -1,73 +1,48 @@
---- configure.in	2009-03-06 13:27:05.000000000 -0500
-+++ configure.in	2010-12-18 18:01:10.000000000 -0500
-@@ -72,6 +72,7 @@
-     PLATFORM=FREEBSD
-     AC_DEFINE(FREEBSD, 1, [Define this if OS is FreeBSD])
+--- configure.in.orig	2012-02-24 07:43:53.000000000 +0000
++++ configure.in	2013-06-18 18:20:54.000000000 +0000
+@@ -74,3 +74,3 @@
+ 
+-  amd64-*-freebsd*)
++  x86_64-*-freebsd*)
+     MAKEFILE_PREFIX=freebsd
+@@ -79,2 +79,3 @@
      AC_DEFINE(AMD64, 1, [Define this if CPU is amd64])
 +	XE_APPEND(-lreadline,LIBS)
      LOCK_MANAGER_FLG=Y
-     EDITLINE_FLG=Y
-     SHRLIB_EXT=so
-@@ -90,6 +91,7 @@
-     MAKEFILE_PREFIX=freebsd 
-     PLATFORM=FREEBSD
+@@ -97,2 +98,3 @@
      AC_DEFINE(FREEBSD, 1, [Define this if OS is FreeBSD])
 +	XE_APPEND(-lreadline,LIBS)
      LOCK_MANAGER_FLG=Y
-     EDITLINE_FLG=Y
-     SHRLIB_EXT=so
-@@ -473,6 +475,7 @@
- AC_CHECK_HEADERS(socket.h sys/socket.h sys/sockio.h winsock2.h)
- AC_CHECK_HEADERS(sys/sem.h)
+@@ -480,2 +482,3 @@
  AC_CHECK_HEADERS(semaphore.h)
 +AC_CHECK_HEADERS(sys/resource.h)
  
- dnl Check for libraries
- AC_CHECK_LIB(dl, main)
-@@ -484,10 +487,11 @@
- 			AC_CHECK_LIB(termcap, tgetent, TERMLIB=termcap, \
- 				AC_CHECK_LIB(tinfo, tgetent, TERMLIB=tinfo, \
+@@ -491,3 +494,3 @@
  					AC_MSG_ERROR(termcap support not found)))))  
 -	AC_SUBST(EDITLINE_A, -leditline)
 +	AC_SUBST(EDITLINE_A, -ledit -leditline)
  	AC_SUBST(TERMLIB)
- 	XE_APPEND(-l$TERMLIB, LIBS)
+@@ -495,2 +498,3 @@
  fi
 +AM_PATH_ICU(3, 6)
  
- dnl check for va_copy() in stdarg.h
- dnl _ISOC99_SOURCE is defined to emulate C++ compilation in plain-C conftest.c
-@@ -776,7 +780,7 @@
- rm -f conftest*])
- 
+@@ -783,3 +787,3 @@
  if test "$firebird_cv_gcc___thread" = yes; then
 -  AC_DEFINE(HAVE___THREAD, 1, [Define it if compiler supports ISO syntax for thread-local storage])
 +  dnl AC_DEFINE(HAVE___THREAD, 1, [Define it if compiler supports ISO syntax for thread-local storage])
  fi
- 				  
- dnl ##################### DO NOT ADD ANY TESTS BELOW ###########################
-@@ -802,6 +806,10 @@
- AC_SUBST(NEW_FIREBIRD_DIR)
- 
+@@ -809,2 +813,6 @@
  AC_DEFINE_UNQUOTED(FB_PREFIX, $(if test "x$prefix" = "xNONE" ; then echo \"$ac_default_prefix\"; else echo \"$prefix\"; fi), [Installation path prefix])
 +AC_DEFINE_UNQUOTED(FB_EXEC_PREFIX, "$exec_prefix", [Executables path prefix])
 +AC_DEFINE_UNQUOTED(FB_CONF_PREFIX, "$sysconfdir", [Single-machine data path prefix])
 +AC_DEFINE_UNQUOTED(FB_MSG_PREFIX, "$datadir", [Architecture-independent data path prefix])
 +AC_DEFINE_UNQUOTED(FB_LIBEXEC_PREFIX, "$libexecdir", [Program executables path prefix])
  
- AC_CONFIG_COMMANDS(,,[
- dnl # rebuild version header if needed
-@@ -1161,7 +1169,6 @@
- gen/Makefile.install:builds/install/arch-specific/${INSTALL_PREFIX}/Makefile.in
- Makefile:Makefile.in
+@@ -1168,3 +1176,2 @@
  gen/Makefile.extern.editline:${MAKE_SRC_DIR}/Makefile.in.extern.editline
 -gen/Makefile.extern.icu:${MAKE_SRC_DIR}/Makefile.in.extern.icu
  )
- 
- case "$PLATFORM" in
-@@ -1172,15 +1179,7 @@
- ;;
- esac
+@@ -1179,11 +1186,3 @@
  
 -if test "$PROD_BUILD_FLG" = N; then
 -  DEBUG_ICU=--enable-debug
@@ -79,5 +54,3 @@
 -./runConfigureICU "$ICU_PLATFORM" "$DEBUG_ICU" --prefix=`pwd`/..)
 -
  
- dnl Print out the build configuration (the most interesting thing)
- echo

Modified: head/databases/firebird21-server/Makefile
==============================================================================
--- head/databases/firebird21-server/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/databases/firebird21-server/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -23,7 +23,7 @@ USE_GCC=	any
 USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
 USE_AUTOTOOLS=	autoconf aclocal libtool
-ACLOCAL_ARGS=	--acdir=${ACLOCAL_DIR} -I ${LOCALBASE}/share/aclocal \
+ACLOCAL_ARGS=	--automake-acdir=${ACLOCAL_DIR} -I ${LOCALBASE}/share/aclocal \
 		-I ${WRKSRC}/m4
 MAKE_JOBS_UNSAFE=	yes
 

Modified: head/databases/gqlplus/Makefile
==============================================================================
--- head/databases/gqlplus/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/databases/gqlplus/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -16,6 +16,7 @@ USE_GMAKE=	yes
 PORTDOCS=	README ChangeLog
 PLIST_FILES=	bin/gqlplus
 USE_AUTOTOOLS=	autoconf automake aclocal
+AUTOMAKE_ARGS=	--add-missing
 
 .include <bsd.port.options.mk>
 

Modified: head/databases/gtksql/Makefile
==============================================================================
--- head/databases/gtksql/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/databases/gtksql/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -14,8 +14,7 @@ LICENSE=	GPLv2
 LIB_DEPENDS=	avahi-client:${PORTSDIR}/net/avahi-app
 
 GNU_CONFIGURE=	yes
-USE_AUTOTOOLS=	aclocal libtool
-ACLOCAL_ARGS=	-I${LOCALBASE}/share/aclocal
+USE_AUTOTOOLS=	libtool
 USES=		pkgconfig
 USE_GMAKE=	yes
 USE_GNOME=	gtk20

Modified: head/devel/argp-standalone/Makefile
==============================================================================
--- head/devel/argp-standalone/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/devel/argp-standalone/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -20,7 +20,7 @@ USE_GCC=	any
 GNU_CONFIGURE=	yes
 USE_AUTOTOOLS=	aclocal autoconf automake libtool
 AUTOMAKE_ARGS=	-c -a
-ACLOCAL_ARGS=	--acdir=${ACLOCAL_DIR} -I ${LOCALBASE}/share/aclocal
+ACLOCAL_ARGS=	--automake-acdir=${ACLOCAL_DIR} -I ${LOCALBASE}/share/aclocal
 USE_LDCONFIG=	yes
 
 PLIST_FILES=	lib/libargp.la lib/libargp.a \

Modified: head/devel/autoconf-wrapper/Makefile
==============================================================================
--- head/devel/autoconf-wrapper/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/devel/autoconf-wrapper/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME?=	autoconf-wrapper
-PORTVERSION=	20101119
+PORTVERSION=	20130530
 CATEGORIES=	devel
 MASTER_SITES=	# none
 DISTFILES=	# none
@@ -14,7 +14,7 @@ NO_BUILD=	YES
 
 TOOL?=		AUTOCONF
 WRAPPED_TOOLS?=	autoconf autoheader autom4te autoreconf autoscan \
-		autoupdates ifnames
+		autoupdate ifnames
 .include <bsd.port.pre.mk>
 
 TOOLS_CASE!=	${ECHO_CMD} ${WRAPPED_TOOLS} | ${TR} ' ' '|'

Modified: head/devel/automake/Makefile
==============================================================================
--- head/devel/automake/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/devel/automake/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	automake
-PORTVERSION=	1.12.6
+PORTVERSION=	1.14
 CATEGORIES=	devel
 MASTER_SITES=	${MASTER_SITE_GNU}
 MASTER_SITE_SUBDIR=	automake
@@ -19,7 +19,7 @@ RUN_DEPENDS=	${AUTOCONF_DEPENDS} \
 		automake-wrapper:${PORTSDIR}/devel/automake-wrapper
 
 USE_AUTOTOOLS=	autoconf:env
-BUILD_VERSION=	1.12
+BUILD_VERSION=	1.14
 PLIST_SUB=	BUILD_VERSION=${BUILD_VERSION}
 USE_XZ=		yes
 USE_PERL5=	yes

Modified: head/devel/automake/distinfo
==============================================================================
--- head/devel/automake/distinfo	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/devel/automake/distinfo	Tue Jul 16 05:42:36 2013	(r323088)
@@ -1,2 +1,2 @@
-SHA256 (automake-1.12.6.tar.xz) = f834ab2145b1ee24bd85387950044f5cb418dd0af2b84c52e60c2bf29162dbfa
-SIZE (automake-1.12.6.tar.xz) = 1400336
+SHA256 (automake-1.14.tar.xz) = e1188f5d074374cf06946cabb2b9e70bee141637a8fd1fab9a660c8930fe8059
+SIZE (automake-1.14.tar.xz) = 1485516

Modified: head/devel/automake/files/patch-Makefile.in
==============================================================================
--- head/devel/automake/files/patch-Makefile.in	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/devel/automake/files/patch-Makefile.in	Tue Jul 16 05:42:36 2013	(r323088)
@@ -1,27 +1,27 @@
---- Makefile.in.orig	2012-04-25 08:49:53.000000000 -0700
-+++ Makefile.in	2012-04-26 11:27:28.000000000 -0700
-@@ -173,4 +173,3 @@
+--- Makefile.in.orig	2013-06-20 11:37:56.000000000 +0000
++++ Makefile.in	2013-06-26 18:43:25.000000000 +0000
+@@ -221,4 +221,3 @@
  am__dirstamp = $(am__leading_dot)dirstamp
 -INFO_DEPS = $(srcdir)/doc/automake.info \
 -	$(srcdir)/doc/automake-history.info
 +INFO_DEPS = $(srcdir)/doc/automake.info
  TEXINFO_TEX = $(top_srcdir)/lib/texinfo.tex
-@@ -626,3 +625,3 @@
- 
--dist_system_ac_DATA = m4/acdir/README
-+dist_system_ac_DATA = 
- 
-@@ -2165,3 +2164,3 @@
- am__tdf = diff-in-tests-lists.tmp
+@@ -690,3 +689,3 @@
+ AUTOMAKESOURCES = $(automake_in) $(aclocal_in)
 -info_TEXINFOS = doc/automake.texi doc/automake-history.texi
 +info_TEXINFOS = doc/automake.texi
  doc_automake_TEXINFOS = doc/fdl.texi
-@@ -2200,3 +2199,3 @@
- dist_noinst_DATA = $(amhello_sources)
+@@ -723,3 +722,3 @@
+ 
 -dist_doc_DATA = $(srcdir)/doc/amhello-1.0.tar.gz
 +dist_doc_DATA = 
+ setup_autotools_paths = { \
+@@ -860,3 +859,3 @@
  
-@@ -3247,3 +3246,2 @@
+-dist_system_ac_DATA = m4/acdir/README
++dist_system_ac_DATA = 
+ automake_internal_acdir = $(automake_acdir)/internal
+@@ -3478,3 +3477,2 @@
  	@$(NORMAL_INSTALL)
 -	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
  install-html: install-html-am

Modified: head/devel/automake/pkg-plist
==============================================================================
--- head/devel/automake/pkg-plist	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/devel/automake/pkg-plist	Tue Jul 16 05:42:36 2013	(r323088)
@@ -4,14 +4,13 @@ share/aclocal-%%BUILD_VERSION%%/amversio
 share/aclocal-%%BUILD_VERSION%%/ar-lib.m4
 share/aclocal-%%BUILD_VERSION%%/as.m4
 share/aclocal-%%BUILD_VERSION%%/auxdir.m4
-share/aclocal-%%BUILD_VERSION%%/ccstdc.m4
 share/aclocal-%%BUILD_VERSION%%/cond.m4
 share/aclocal-%%BUILD_VERSION%%/cond-if.m4
 share/aclocal-%%BUILD_VERSION%%/depend.m4
 share/aclocal-%%BUILD_VERSION%%/depout.m4
 share/aclocal-%%BUILD_VERSION%%/dmalloc.m4
+share/aclocal-%%BUILD_VERSION%%/extra-recurs.m4
 share/aclocal-%%BUILD_VERSION%%/gcj.m4
-share/aclocal-%%BUILD_VERSION%%/header.m4
 share/aclocal-%%BUILD_VERSION%%/init.m4
 share/aclocal-%%BUILD_VERSION%%/install-sh.m4
 share/aclocal-%%BUILD_VERSION%%/lead-dot.m4
@@ -19,14 +18,11 @@ share/aclocal-%%BUILD_VERSION%%/lex.m4
 share/aclocal-%%BUILD_VERSION%%/lispdir.m4
 share/aclocal-%%BUILD_VERSION%%/maintainer.m4
 share/aclocal-%%BUILD_VERSION%%/make.m4
-share/aclocal-%%BUILD_VERSION%%/minuso.m4
 share/aclocal-%%BUILD_VERSION%%/missing.m4
 share/aclocal-%%BUILD_VERSION%%/mkdirp.m4
-share/aclocal-%%BUILD_VERSION%%/obsol-gt.m4
-share/aclocal-%%BUILD_VERSION%%/obsol-lt.m4
 share/aclocal-%%BUILD_VERSION%%/obsolete.m4
 share/aclocal-%%BUILD_VERSION%%/options.m4
-share/aclocal-%%BUILD_VERSION%%/protos.m4
+share/aclocal-%%BUILD_VERSION%%/prog-cc-c-o.m4
 share/aclocal-%%BUILD_VERSION%%/python.m4
 share/aclocal-%%BUILD_VERSION%%/runlog.m4
 share/aclocal-%%BUILD_VERSION%%/sanity.m4
@@ -36,6 +32,7 @@ share/aclocal-%%BUILD_VERSION%%/substnot
 share/aclocal-%%BUILD_VERSION%%/tar.m4
 share/aclocal-%%BUILD_VERSION%%/upc.m4
 share/aclocal-%%BUILD_VERSION%%/vala.m4
+share/aclocal-%%BUILD_VERSION%%/internal/ac-config-macro-dirs.m4
 share/automake-%%BUILD_VERSION%%/Automake/ChannelDefs.pm
 share/automake-%%BUILD_VERSION%%/Automake/Channels.pm
 share/automake-%%BUILD_VERSION%%/Automake/Condition.pm
@@ -47,6 +44,7 @@ share/automake-%%BUILD_VERSION%%/Automak
 share/automake-%%BUILD_VERSION%%/Automake/Getopt.pm
 share/automake-%%BUILD_VERSION%%/Automake/Item.pm
 share/automake-%%BUILD_VERSION%%/Automake/ItemDef.pm
+share/automake-%%BUILD_VERSION%%/Automake/Language.pm
 share/automake-%%BUILD_VERSION%%/Automake/Location.pm
 share/automake-%%BUILD_VERSION%%/Automake/Options.pm
 share/automake-%%BUILD_VERSION%%/Automake/Rule.pm
@@ -102,7 +100,6 @@ share/automake-%%BUILD_VERSION%%/compile
 share/automake-%%BUILD_VERSION%%/config.guess
 share/automake-%%BUILD_VERSION%%/config.sub
 share/automake-%%BUILD_VERSION%%/depcomp
-share/automake-%%BUILD_VERSION%%/elisp-comp
 share/automake-%%BUILD_VERSION%%/install-sh
 share/automake-%%BUILD_VERSION%%/mdate-sh
 share/automake-%%BUILD_VERSION%%/missing
@@ -113,6 +110,7 @@ share/automake-%%BUILD_VERSION%%/tap-dri
 share/automake-%%BUILD_VERSION%%/test-driver
 share/automake-%%BUILD_VERSION%%/texinfo.tex
 share/automake-%%BUILD_VERSION%%/ylwrap
+@dirrm share/aclocal-%%BUILD_VERSION%%/internal
 @dirrm share/aclocal-%%BUILD_VERSION%%
 @dirrm share/automake-%%BUILD_VERSION%%/Automake
 @dirrm share/automake-%%BUILD_VERSION%%/am

Modified: head/devel/autotools/Makefile
==============================================================================
--- head/devel/autotools/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/devel/autotools/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -5,7 +5,7 @@
 # $FreeBSD$
 
 PORTNAME=	autotools
-PORTVERSION=	20120427
+PORTVERSION=	20130627
 CATEGORIES=	devel
 MASTER_SITES=	# none
 DISTFILES=	# none
@@ -20,7 +20,7 @@ RUN_DEPENDS=	libtool:${PORTSDIR}/devel/l
 		autoconf-2.13:${PORTSDIR}/devel/autoconf213 \
 		autoconf-2.69:${PORTSDIR}/devel/autoconf \
 		automake-1.4:${PORTSDIR}/devel/automake14 \
-		automake-1.12:${PORTSDIR}/devel/automake
+		automake-1.14:${PORTSDIR}/devel/automake
 
 PLIST_FILES=	share/${PORTNAME}
 NO_BUILD=	yes

Modified: head/devel/elfio/Makefile
==============================================================================
--- head/devel/elfio/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/devel/elfio/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -22,7 +22,7 @@ GNU_CONFIGURE=	yes
 USE_LDCONFIG=	yes
 USE_AUTOTOOLS=	aclocal automake autoconf libtool
 AUTOMAKE_ARGS=	-c -a
-ACLOCAL_ARGS=	--acdir=${ACLOCAL_DIR} -I ${LOCALBASE}/share/aclocal
+ACLOCAL_ARGS=	--automake-acdir=${ACLOCAL_DIR} -I ${LOCALBASE}/share/aclocal
 
 OPTIONE_DEFINE=	EXAMPLES DOCS
 

Modified: head/devel/fnccheck/Makefile
==============================================================================
--- head/devel/fnccheck/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/devel/fnccheck/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -44,4 +44,9 @@ post-patch:
 	@${REINPLACE_CMD} -e \
 		'/^SUBDIRS/s|test||' ${WRKSRC}/Makefile.am
 
+# XXX: work around an issue with automake-1.13 erroring out on a
+#      non-existent m4 directory before libtoolize creates it
+pre-configure::
+	@${MKDIR} ${WRKSRC}/m4
+
 .include <bsd.port.mk>

Modified: head/devel/gettext/Makefile
==============================================================================
--- head/devel/gettext/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/devel/gettext/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	gettext
-PORTVERSION=	0.18.1.1
-PORTREVISION=	1
+PORTVERSION=	0.18.3
 CATEGORIES=	devel
 MASTER_SITES=	${MASTER_SITE_GNU}
 MASTER_SITE_SUBDIR=	gettext
@@ -15,21 +14,15 @@ MAINTAINER=	autotools@FreeBSD.org
 COMMENT=	GNU gettext package
 
 USES=		charsetfix iconv
-LIBTOOLFILES=	gettext-runtime/configure \
-		gettext-runtime/libasprintf/configure gettext-tools/configure
-USE_AUTOTOOLS=	libtool
-CONFIGURE_ENV=	ACLOCAL="${TRUE}" \
-		AUTOCONF="${TRUE}" \
-		AUTOMAKE="${TRUE}" \
-		AUTOHEADER="${TRUE}" \
-		MAKEINFO="makeinfo --no-split" \
-		EMACS="no"
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
-CONFIGURE_ARGS=	--disable-csharp --disable-threads --disable-openmp \
+GNU_CONFIGURE=	yes
+CONFIGURE_ARGS=	--disable-csharp --disable-java \
+		--disable-openmp --disable-threads \
 		--with-included-gettext --with-included-glib \
-		--with-included-libcroco --with-included-libxml \
-		--without-git
+		--with-included-libcroco --with-included-libunistring \
+		--with-included-libxml \
+		--without-emacs --without-git
 USE_LDCONFIG=	yes
 
 MAN1=		autopoint.1 envsubst.1 gettext.1 gettextize.1 msgattrib.1 \
@@ -41,24 +34,15 @@ MAN3=		bind_textdomain_codeset.3 bindtex
 		textdomain.3
 INFO=		autosprintf gettext
 
+OPTIONS_DEFINE=	DOCS
+
 .include <bsd.port.options.mk>
 
 .if ! ${PORT_OPTIONS:MDOCS}
 EXTRA_PATCHES+=	${FILESDIR}/extra-patch-nodocs
 .endif
 
-pre-extract:
-.if exists(${PREFIX}/bin/kaffe)
-	@${ECHO_MSG} "Gettext won't build with Kaffe's jar utility.  Doing:"
-	-${MV} ${PREFIX}/bin/jar ${PREFIX}/bin/jar.backup
-	@${ECHO_MSG} "Be sure to mv" ${PREFIX}/bin/jar.backup ${PREFIX}/bin/jar
-	@${ECHO_MSG} "if you abandon your attempt to build gettext."
-	@sleep 5
-.endif
-
 post-patch:
-	@${FIND} ${WRKSRC} -name configure -print | ${XARGS} \
-	    ${REINPLACE_CMD} -e 's|mkdir gmkdir|mkdir|; s|gawk|awk|'
 .if ! ${PORT_OPTIONS:MDOCS}
 .for dir in runtime tools
 	@${REINPLACE_CMD} -e 's|^SUBDIRS = doc|SUBDIRS =|' \
@@ -66,19 +50,7 @@ post-patch:
 .endfor
 .endif
 
-post-build:
-.if exists(${PREFIX}/bin/kaffe)
-	-${MV} ${PREFIX}/bin/jar.backup ${PREFIX}/bin/jar
-	@${ECHO_MSG}
-	@${ECHO_MSG} "Your" ${PREFIX}/bin/jar "has been restored."
-	@sleep 5
-.endif
-
 post-install:
-.for f in po-compat.el po-mode.el
-	@${INSTALL_DATA} ${WRKSRC}/gettext-tools/misc/${f} \
-			 ${PREFIX}/share/emacs/site-lisp
-.endfor
 	@${MKDIR} ${LOCALBASE}/share/locale
 	@cd ${WRKSRC}/gettext-tools/doc && make install-info-am
 

Modified: head/devel/gettext/distinfo
==============================================================================
--- head/devel/gettext/distinfo	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/devel/gettext/distinfo	Tue Jul 16 05:42:36 2013	(r323088)
@@ -1,2 +1,2 @@
-SHA256 (gettext-0.18.1.1.tar.gz) = 93ac71a7afa5b70c1b1032516663658c51e653087f42a3fc8044752c026443e9
-SIZE (gettext-0.18.1.1.tar.gz) = 15139737
+SHA256 (gettext-0.18.3.tar.gz) = 36f3c1043df803565d4977c1efbd41e1ec0f0301acf5f057984406c34cb9f948
+SIZE (gettext-0.18.3.tar.gz) = 16171945

Modified: head/devel/gettext/files/patch-gettext-tools_config.h.in
==============================================================================
--- head/devel/gettext/files/patch-gettext-tools_config.h.in	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/devel/gettext/files/patch-gettext-tools_config.h.in	Tue Jul 16 05:42:36 2013	(r323088)
@@ -1,12 +1,8 @@
---- gettext-tools/config.h.in.orig	Sat Aug 28 11:50:21 2004
-+++ gettext-tools/config.h.in	Sat Aug 28 11:51:26 2004
-@@ -45,6 +45,9 @@
- /* Define to 1 if you have the `atexit' function. */
- #undef HAVE_ATEXIT
+--- gettext-tools/config.h.in.orig	2013-03-05 08:43:50.000000000 +0000
++++ gettext-tools/config.h.in	2013-05-23 19:14:44.000000000 +0000
+@@ -524,2 +524,5 @@
  
-+/* Define if the expat library is bsdxml. */
++/* Define to 1 if the expat library is bsdxml. */
 +#undef HAVE_BSDXML
 +
- /* Define to 1 if you have the `btowc' function. */
- #undef HAVE_BTOWC
- 
+ /* Define to 1 if you have the 'btowc' function. */

Modified: head/devel/gettext/files/patch-gettext-tools_configure
==============================================================================
--- head/devel/gettext/files/patch-gettext-tools_configure	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/devel/gettext/files/patch-gettext-tools_configure	Tue Jul 16 05:42:36 2013	(r323088)
@@ -1,30 +1,8 @@
 --- gettext-tools/configure.orig	Mon Nov 27 09:34:40 2006
 +++ gettext-tools/configure	Sun Dec  3 17:54:35 2006
-@@ -3962,7 +3962,3 @@
- 
--if test -n "$HAVE_GCJ" && test "$JAVA_CHOICE" = yes; then
--  BUILDJAVAEXE=yes
--else
-   BUILDJAVAEXE=no
--fi
- 
-@@ -5110,13 +5106,5 @@
- 
--if test -n "$HAVE_JAVACOMP" && test -n "$JAR" && test "$JAVA_CHOICE" != no; then
--  BUILDJAVA=yes
--else
-   BUILDJAVA=no
--fi
- 
--if test -n "$HAVE_JAVAEXEC" && test $BUILDJAVA = yes; then
--  TESTJAVA=yes
--else
-   TESTJAVA=no
--fi
- 
 @@ -50083,2 +50071,13 @@
  case "$host_os" in
-+  freebsd[5-9]*)
++  freebsd*)
 +
 +cat >>confdefs.h <<\_ACEOF
 +#define HAVE_BSDXML 1

Modified: head/devel/gettext/pkg-plist
==============================================================================
--- head/devel/gettext/pkg-plist	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/devel/gettext/pkg-plist	Tue Jul 16 05:42:36 2013	(r323088)
@@ -29,7 +29,7 @@ lib/libasprintf.a
 lib/libasprintf.la
 lib/libasprintf.so
 lib/libasprintf.so.0
-lib/libgettextlib-0.18.1.so
+lib/libgettextlib-0.18.3.so
 lib/libgettextlib.la
 lib/libgettextlib.so
 lib/libgettextpo.a
@@ -37,7 +37,7 @@ lib/libgettextpo.la
 lib/libgettextpo.so
 lib/libgettextpo.so.5
 lib/libgettextsrc.la
-lib/libgettextsrc-0.18.1.so
+lib/libgettextsrc-0.18.3.so
 lib/libgettextsrc.so
 lib/libintl.a
 lib/libintl.la
@@ -138,14 +138,11 @@ share/aclocal/xsize.m4
 %%PORTDOCS%%%%DOCSDIR%%/javadoc2/stylesheet.css
 %%PORTDOCS%%%%DOCSDIR%%/tutorial.html
 %%PORTDOCS%%share/doc/libasprintf/autosprintf_all.html
-share/emacs/site-lisp/po-compat.el
-share/emacs/site-lisp/po-mode.el
 %%DATADIR%%/ABOUT-NLS
-%%DATADIR%%/archive.dir.tar.gz
+%%DATADIR%%/archive.dir.tar.xz
 %%DATADIR%%/config.rpath
 %%DATADIR%%/gettext.h
-%%DATADIR%%/intl/COPYING.LIB-2.0
-%%DATADIR%%/intl/COPYING.LIB-2.1
+%%DATADIR%%/intl/COPYING.LIB
 %%DATADIR%%/intl/ChangeLog
 %%DATADIR%%/intl/Makefile.in
 %%DATADIR%%/intl/VERSION
@@ -169,7 +166,7 @@ share/emacs/site-lisp/po-mode.el
 %%DATADIR%%/intl/intl-exports.c
 %%DATADIR%%/intl/l10nflist.c
 %%DATADIR%%/intl/langprefs.c
-%%DATADIR%%/intl/libgnuintl.h.in
+%%DATADIR%%/intl/libgnuintl.in.h
 %%DATADIR%%/intl/libintl.rc
 %%DATADIR%%/intl/loadinfo.h
 %%DATADIR%%/intl/loadmsgcat.c
@@ -206,8 +203,10 @@ share/emacs/site-lisp/po-mode.el
 %%DATADIR%%/intl/vasnprintf.c
 %%DATADIR%%/intl/vasnprintf.h
 %%DATADIR%%/intl/vasnwprintf.h
+%%DATADIR%%/intl/verify.h
 %%DATADIR%%/intl/version.c
 %%DATADIR%%/intl/wprintf-parse.h
+%%DATADIR%%/intl/xsize.c
 %%DATADIR%%/intl/xsize.h
 %%DATADIR%%/javaversion.class
 %%DATADIR%%/msgunfmt.tcl
@@ -271,6 +270,7 @@ share/locale/fr/LC_MESSAGES/gettext-tool
 share/locale/ga/LC_MESSAGES/gettext-runtime.mo
 share/locale/gl/LC_MESSAGES/gettext-runtime.mo
 share/locale/gl/LC_MESSAGES/gettext-tools.mo
+share/locale/hr/LC_MESSAGES/gettext-runtime.mo
 share/locale/id/LC_MESSAGES/gettext-runtime.mo
 share/locale/id/LC_MESSAGES/gettext-tools.mo
 share/locale/it/LC_MESSAGES/gettext-runtime.mo
@@ -286,6 +286,7 @@ share/locale/nl/LC_MESSAGES/gettext-runt
 share/locale/nl/LC_MESSAGES/gettext-tools.mo
 share/locale/nn/LC_MESSAGES/gettext-runtime.mo
 share/locale/nn/LC_MESSAGES/gettext-tools.mo
+share/locale/pa/LC_MESSAGES/gettext-tools.mo
 share/locale/pl/LC_MESSAGES/gettext-runtime.mo
 share/locale/pl/LC_MESSAGES/gettext-tools.mo
 share/locale/pt/LC_MESSAGES/gettext-runtime.mo

Modified: head/devel/libcfu/Makefile
==============================================================================
--- head/devel/libcfu/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/devel/libcfu/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -23,4 +23,9 @@ AUTOMAKE_ARGS=	--add-missing
 ACLOCAL_ARGS=	-I ${LIBTOOL_M4:C,[^/]*$,,}
 INFO=		${PORTNAME}
 
+# XXX: work around an issue with automake-1.13 erroring out on a
+#      non-existent m4 directory before libtoolize creates it
+pre-configure::
+	@${MKDIR} ${WRKSRC}/m4
+
 .include <bsd.port.mk>

Modified: head/finance/libofx/Makefile
==============================================================================
--- head/finance/libofx/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/finance/libofx/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -19,6 +19,7 @@ USES=		iconv
 USE_GMAKE=	yes
 USE_AUTOTOOLS=	aclocal autoheader automake autoconf libtool
 ACLOCAL_ARGS=	-I m4
+AUTOMAKE_ARGS=	--add-missing
 CONFIGURE_ARGS=	--disable-doxygen --disable-dot --disable-gengetopt \
 		--with-opensp-includes=${LOCALBASE}/include/OpenSP \
 		--with-opensp-libs=${LOCALBASE}/lib

Modified: head/games/py-poker-eval/Makefile
==============================================================================
--- head/games/py-poker-eval/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/games/py-poker-eval/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -20,6 +20,7 @@ USES=		pkgconfig
 USE_PYTHON=	2.5-2.7
 USE_AUTOTOOLS=	aclocal autoconf automake libtool
 ACLOCAL_ARGS=	-I config
+AUTOMAKE_ARGS=	--add-missing
 CONFIGURE_ARGS=	PYTHON=""
 MAKE_JOBS_SAFE=	yes
 

Modified: head/games/tecnoballz/Makefile
==============================================================================
--- head/games/tecnoballz/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/games/tecnoballz/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -18,6 +18,7 @@ LIB_DEPENDS=	mikmod:${PORTSDIR}/audio/li
 		smpeg:${PORTSDIR}/multimedia/smpeg
 
 USE_AUTOTOOLS=	automake aclocal
+AUTOMAKE_ARGS=	--add-missing
 USE_SDL=	sdl mixer image
 USE_GMAKE=	yes
 GNU_CONFIGURE=	yes

Modified: head/graphics/cal3d/Makefile
==============================================================================
--- head/graphics/cal3d/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/graphics/cal3d/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -22,6 +22,7 @@ GNU_CONFIGURE=	yes
 USE_AUTOTOOLS=	automake autoheader libtool
 USE_LDCONFIG=	yes
 AUTOTOOLSFILES=	aclocal.m4
+# AUTOMAKE_ARGS=	--add-missing
 
 MAN1=	cal3d_converter.1
 
@@ -34,6 +35,7 @@ post-patch:
 		${WRKSRC}/src/cal3d/loader.h \
 		${WRKSRC}/src/cal3d/streamsource.h
 	@${REINPLACE_CMD} -e '/^all_libraries/d' ${WRKSRC}/src/cal3d/Makefile.am
+	@${REINPLACE_CMD} -e 's| tests||' ${WRKSRC}/Makefile.am
 
 post-configure:
 	@${FIND} ${WRKSRC} -name Makefile -print | \

Modified: head/graphics/gsnapshot/Makefile
==============================================================================
--- head/graphics/gsnapshot/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/graphics/gsnapshot/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -12,6 +12,7 @@ COMMENT=	GTK+ based screen capture
 
 USES=		pkgconfig
 USE_AUTOTOOLS=	aclocal autoheader automake autoconf libtool
+AUTOMAKE_ARGS=	--add-missing
 USE_GNOME=	gtk20 libwnck libxml2
 USE_XORG=	x11 xmu
 USE_GMAKE=	yes

Modified: head/graphics/iulib/Makefile
==============================================================================
--- head/graphics/iulib/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/graphics/iulib/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -23,7 +23,7 @@ MAKE_JOBS_SAFE=	yes
 USE_GCC=	any
 USE_PYTHON_BUILD=	yes
 USE_AUTOTOOLS=	libtool aclocal automake autoconf
-ACLOCAL_ARGS=	--acdir=${ACLOCAL_DIR} -I${LOCALBASE}/share/aclocal
+ACLOCAL_ARGS=	--automake-acdir=${ACLOCAL_DIR} -I${LOCALBASE}/share/aclocal
 AUTOMAKE_ARGS=	--add-missing
 USE_LDCONFIG=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include

Modified: head/lang/maude/Makefile
==============================================================================
--- head/lang/maude/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/lang/maude/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -17,6 +17,7 @@ LIB_DEPENDS=	bdd:${PORTSDIR}/science/bud
 
 USES=		bison
 USE_AUTOTOOLS=	aclocal autoheader automake
+AUTOMAKE_ARGS=	--add-missing
 GNU_CONFIGURE=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib

Modified: head/mail/bogofilter/Makefile
==============================================================================
--- head/mail/bogofilter/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/mail/bogofilter/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -28,6 +28,7 @@ GNU_CONFIGURE=	yes
 MAKE_JOBS_SAFE=	yes
 USE_AUTOTOOLS=	aclocal automake autoconf autoheader
 ACLOCAL_ARGS=	-Im4
+AUTOMAKE_ARGS=	--add-missing
 
 .include <bsd.port.options.mk>
 
@@ -77,8 +78,9 @@ PLIST_SUB=	CONTRIB="@comment "
 PLIST_SUB=	CONTRIB=""
 .endif
 
-post-build::
-	cd ${WRKSRC}/src && make check SHELL=${SH}
+# XXX: disable self-tests until issue with automake-1.13 is sorted out
+# post-build::
+# 	cd ${WRKSRC}/src && make check SHELL=${SH}
 
 post-install::
 	@${MKDIR} ${DOCSDIR}/contrib

Modified: head/multimedia/libva/Makefile
==============================================================================
--- head/multimedia/libva/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/multimedia/libva/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -66,6 +66,11 @@ post-patch:	.SILENT
 		${WRKSRC}/doc/Makefile.am
 	${REINPLACE_CMD} 's/-ldl//' ${WRKSRC}/va/Makefile.am
 
+# XXX: work around an issue with automake-1.13 erroring out on a
+#      non-existent m4 directory before libtoolize creates it
+pre-configure::
+	@${MKDIR} ${WRKSRC}/m4
+
 post-configure:	.SILENT
 	${REINPLACE_CMD} 's/-lpthread/${PTHREAD_LIBS}/' \
 		${WRKSRC}/test/putsurface/Makefile

Modified: head/net-mgmt/nagios-plugins/Makefile
==============================================================================
--- head/net-mgmt/nagios-plugins/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/net-mgmt/nagios-plugins/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -18,6 +18,7 @@ USE_GMAKE=	yes
 USE_PERL5=	yes
 USE_AUTOTOOLS=	libtool aclocal autoconf automake
 ACLOCAL_ARGS=	-I m4 -I gl/m4
+AUTOMAKE_ARGS=	--add-missing
 
 OPTIONS_DEFINE=	QSTAT FPING NETSNMP RADIUS MYSQL PGSQL LDAP IPV6 JAIL NLS
 OPTIONS_DEFAULT=IPV6

Modified: head/net/nss_ldap/Makefile
==============================================================================
--- head/net/nss_ldap/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/net/nss_ldap/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -19,6 +19,7 @@ NSS_LDAP_VERSION=265
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
 USE_AUTOTOOLS=	automake aclocal autoconf autoheader
+AUTOMAKE_ARGS=	--add-missing
 USE_LDCONFIG=	yes
 USE_OPENLDAP=	yes
 

Modified: head/net/ntp-devel/Makefile
==============================================================================
--- head/net/ntp-devel/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/net/ntp-devel/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -18,6 +18,7 @@ LATEST_LINK=	${PORTNAME}-dev
 
 GNU_CONFIGURE=	yes
 USE_AUTOTOOLS=	automake libtool
+AUTOMAKE_ARGS=	--add-missing
 USES=	pathfix
 LIB_DEPENDS=	event-2.0:${PORTSDIR}/devel/libevent2
 

Modified: head/security/gtkpasman/Makefile
==============================================================================
--- head/security/gtkpasman/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/security/gtkpasman/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -24,7 +24,7 @@ PKGMESSAGE=	${WRKDIR}/pkg-message
 
 DOCS=		README data/gpasman4.sample
 PLIST_FILES=	bin/gtkpasman share/applications/gtkpasman.desktop
-ACLOCAL_ARGS?=	--acdir=${ACLOCAL_DIR} -I ${LOCALBASE}/share/aclocal
+ACLOCAL_ARGS?=	--automake-acdir=${ACLOCAL_DIR} -I ${LOCALBASE}/share/aclocal
 
 .if !defined(NOPORTDOCS)
 PORTDOCS=	README gpasman4.sample

Modified: head/sysutils/ftwin/Makefile
==============================================================================
--- head/sysutils/ftwin/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/sysutils/ftwin/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -16,6 +16,7 @@ LIB_DEPENDS=	puzzle:${PORTSDIR}/graphics
 USE_BZIP2=	yes
 GNU_CONFIGURE=	yes
 USE_AUTOTOOLS=	autoconf aclocal automake autoheader
+AUTOMAKE_ARGS=	--add-missing
 CONFIGURE_ARGS+=	--with-puzzle=${LOCALBASE}
 PLIST_FILES=	bin/ftwin
 

Modified: head/textproc/liblrdf/Makefile
==============================================================================
--- head/textproc/liblrdf/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/textproc/liblrdf/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -17,7 +17,7 @@ LIB_DEPENDS=	icuuc:${PORTSDIR}/devel/icu
 		raptor2:${PORTSDIR}/textproc/raptor2
 
 USE_AUTOTOOLS=	libtoolize automake autoconf aclocal
-ACLOCAL_ARGS=	-I${LOCALBASE}/share/aclocal
+ACLOCAL_ARGS=	-I${LOCALBASE}/share/aclocal -I.
 AUTOMAKE_ARGS=	--add-missing
 GNU_CONFIGURE=	yes
 USES=		pathfix pkgconfig iconv
@@ -32,4 +32,11 @@ LDFLAGS+=	-L${OPENSSLLIB} ${PTHREAD_LIBS
 
 WRKSRC=		${WRKDIR}/swh-LRDF-7ebc032
 
+# XXX: work around an issue with automake-1.13 erroring out on a
+#      partially configured m4 directory before libtoolize creates it
+pre-configure::
+	@${RM} -rf ${WRKSRC}/m4
+	@${MKDIR} ${WRKSRC}/m4
+
+
 .include <bsd.port.mk>

Modified: head/x11/stjerm/Makefile
==============================================================================
--- head/x11/stjerm/Makefile	Tue Jul 16 05:41:40 2013	(r323087)
+++ head/x11/stjerm/Makefile	Tue Jul 16 05:42:36 2013	(r323088)
@@ -11,7 +11,7 @@ COMMENT=	A GTK+-based quake-like termina
 
 USE_AUTOTOOLS=	aclocal autoheader automake
 AUTOMAKE_ARGS=	--add-missing
-ACLOCAL_ARGS=	--acdir=${ACLOCAL_DIR} \
+ACLOCAL_ARGS=	--automake-acdir=${ACLOCAL_DIR} \
 		-I${LOCALBASE}/share/aclocal
 USE_GNOME=	vte gtk20
 GNU_CONFIGURE=	yes
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 18 ade freebsd_committer 2013-07-16 06:43:40 UTC
State Changed
From-To: open->closed

Committed as r323088.